DeepFellow DOCS

Add an upload part

Add a part to a pending upload. Parts may be uploaded concurrently, in any order.

POST
/v1/uploads/{upload_id}/parts
Authorization[Bearer <token>]

In: header

Path Parameters

upload_id[string]

The ID of the upload to add a part to.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

file[file]

The part's byte range, as a file.

Formatbinary

Response Body

curl -X POST "https://deepfellow-server-host/v1/uploads/5eb7cf5a86d9755df3a6c593/parts" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -F file="string"
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "upload_id": "5eb7cf5a86d9755df3a6c593",
  "object": "upload.part",
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.